Package classycle

# Class PackageProcessor

java.lang.Object
classycle.graph.GraphProcessor
classycle.PackageProcessor

public class PackageProcessor extends GraphProcessor
Processor which extracts the package dependency graph from the class dependency graph.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`PackageProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`finishProcessing(Vertex[] graph)`
Finishes processing.
`AtomicVertex[]`
`getGraph()`
Returns the package graph after processing.
`protected void`
`initializeProcessing(Vertex[] graph)`
Initializes processing.
`protected void`
`processAfter(Vertex vertex)`
Processes the specified vertex after its arcs have been processed.
`protected void`
`processArc(Vertex tail, Vertex head)`
Processes the arc specified by tail and head vertices.
`protected void`
`processBefore(Vertex vertex)`
Processes the specified vertex before its outgoing arcs are processed.

### Methods inherited from class classycle.graph.GraphProcessor

`deepSearchFirst, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackageProcessor

public PackageProcessor()

## Method Details

### getGraph

public AtomicVertex[] getGraph()
Returns the package graph after processing.

Returns:
  can be `null` before processing.

### initializeProcessing

protected void initializeProcessing(Vertex[] graph)
Description copied from class: `GraphProcessor`
Initializes processing. Will be called in method `GraphProcessor.deepSearchFirst(classycle.graph.Vertex[])`.

Specified by:
  `initializeProcessing` in class `GraphProcessor`

### processBefore

protected void processBefore(Vertex vertex)
Description copied from class: `GraphProcessor`
Processes the specified vertex before its outgoing arcs are processed.

Specified by:
  `processBefore` in class `GraphProcessor`
Parameters:
  `vertex` - Vertex to be processed.

### processArc

protected void processArc(Vertex tail, Vertex head)
Description copied from class: `GraphProcessor`
Processes the arc specified by tail and head vertices.

Specified by:
  `processArc` in class `GraphProcessor`
Parameters:
  `tail` - Tail vertex of the arc.
  `head` - Head vertex of the arc.

### processAfter

protected void processAfter(Vertex vertex)
Description copied from class: `GraphProcessor`
Processes the specified vertex after its arcs have been processed.

Specified by:
  `processAfter` in class `GraphProcessor`
Parameters:
  `vertex` - Vertex to be processed.

### finishProcessing

protected void finishProcessing(Vertex[] graph)
Description copied from class: `GraphProcessor`
Finishes processing. Will be called in method `GraphProcessor.deepSearchFirst(classycle.graph.Vertex[])`.

Specified by:
  `finishProcessing` in class `GraphProcessor`